1. Account
Chronox AI API Referance
  • Get Started
    • Introduction
    • Authentication
    • Rate limiting
    • Errors
    • Pagination
    • Campaign
  • Account
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Integrated Channels
      GET
    • Get WABA Catalogs
      GET
  • WhatsApp Templates
    • Getting started
    • Templates
      • Create Whatsapp Template Guide
      • Get Whatsapp Templates
      • Get Whatsapp Template Details
      • Create Whatsapp Template
    • Lookups
      • Get Whatsapp Template Category
      • Get Whatsapp Languages
      • Get Whatsapp Template Type
      • Get Whatsapp Template Interactive Type
      • Get Whatsapp Template Header Type
      • Get Whatsapp Template Button Type
      • Get Whatsapp Template Dynamic Variable Type
  • Messaging
    • Getting started
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Send Canned Response
      POST
  • Inbox
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Update Thread Archive
      PUT
    • Assign Thread Tags
      PUT
    • Assign Thread Status
      PUT
    • Update Thread Notes
      PUT
    • Get Canned Responses
      GET
    • Get Tags
      GET
    • Get Thread Status Types
      GET
  • Contact List
    • Getting started
    • Get Contact List
    • Create Contact List
    • Update Contact List
    • Update Contact List Status
    • Delete Contact List
  • Contacts
    • Getting started
    • Get Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
    • Delete Contact Copy
  • Tags and fields
    • Contact Tags
      • Get contact tags
      • Create contact tags
      • Update contact tag
      • Delete contact tag
    • Contact Fields
      • Get contact fields
      • Create contact fields
      • Update contact field
      • Delete contact field
  • Campaign
    • Getting Started
    • Campaign APIs
      • Create campaign
      • Get campaign
      • Update campaign
      • Delete campaign
      • Run campaign
      • Pause campaign
      • Resume campaign
      • Archive campaign
      • Get campaign Stats
    • Lookup
      • Get Statuses
      • Get campaign execution statuses
      • Get campaign contact filter types
      • Get campaign message types
      • Get contact field types
      • Get template variable types
      • Get country codes
  • Whatsapp Flow
    • Get Whatsapp flows
  • Tickets
    • Getting started
    • Get Tickets
    • Create Ticket
    • Update Ticket
    • Get Ticket Statuses
    • Get Agents
  • Organization Teams
    • Get Organization Teams
  • Template Library
    • Get Template Library
    • Get Template Drafts
  • CRM
    • Import leads (single or bulk)
    • List leads
    • Get lead detail
  • Schemas
    • Thread Execution Data
    • LeadImportField
    • LeadImportContact
    • Single lead
    • LeadImportBulkLead
    • Bulk (leads[])
    • LeadImportWarning
    • Single result
    • Bulk result
    • ApiError
    • ErrorEnvelope
    • Lead detail
    • Lead list row
    • Lead list
  1. Account

Get User Details

Developing
GET
/user/get-user-detail

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chronox.ai/api/user/get-user-detail' \
--header 'Authorization: Bearer <api-key>'
Response Response Example
{
    "status": true,
    "data": [
        {
            "user_id": 123,
            "user_assignment_id": 456,
            "access_token_id": null,
            "access_token": null,
            "flag_onboarded": true,
            "flag_email_verified": true,
            "user_registered_timestamp": "2025-01-10T10:00:00.000Z",
            "user_first_name": "Jane",
            "user_last_name": "Doe",
            "username": "Jane Doe",
            "user_email": "jane@acme.com",
            "user_phone_number": "919999999999",
            "timezone_id": 1,
            "timezone_name": "Asia/Kolkata",
            "timezone_hour": "+05:30",
            "timezone_standard_name": "India Standard Time",
            "user_status_id": 1,
            "user_status_name": "Active",
            "user_status": {
                "user_status_id": 1,
                "user_status_name": "Active"
            },
            "user_role_id": 3,
            "user_role_name": "Customer",
            "user_role": {
                "user_role_id": 3,
                "user_role_name": "Customer"
            },
            "socket_id": null,
            "socket_value": null,
            "plan_detail": null,
            "ip_address": "203.0.113.10",
            "ip_geo_location": null,
            "chatbot_flag": true,
            "chatbot_subscription_plan": [],
            "do_not_show_flag": false,
            "user_popup_actions": [],
            "user_tour_guide": null,
            "flag_send_direct_canned_message": false,
            "authenticated_via": "api_key",
            "user_organization_data": {
                "organization_id": 78,
                "vendor_id": null,
                "organization_name": "Acme",
                "organization_status_id": 1,
                "organization_status_name": "Active",
                "created_by_private_user_id": 123,
                "created_by_user_assignment_id": 456,
                "created_by_user_name": "Jane Doe",
                "created_by_user_email": "jane@acme.com",
                "user_organization_status_id": 1,
                "user_organization_status_name": "Active",
                "user_organization_role_id": 1,
                "user_organization_role_name": "Organization Owner",
                "organization_wa_template_quota_price_limit": null,
                "organization_wa_template_quota_price_used": 0,
                "organization_waba_approved": true
            },
            "user_assignment_role_data": [],
            "user_organization_feature_disabled": [],
            "org_billing_plan_data": null,
            "user_delegate_access_data": null
        }
    ]
}
Modified at 2026-09-17 05:41:19
Previous
Pagination
Next
Get Meta Integration
Built with